[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarArrayRef

Get a reference to a variant array

## Declaration

Source position: variants.pp line 136

`function VarArrayRef(`
`const A: Variant`
`):Variant;`

## Arguments

`A` |  | Variant array to get reference to

## Function result

Variant with reference to variant array A

## Description

VarArrayRef returns a reference to the variant array A.

## Errors

An exception will be raised if the variant A is not an array.

## See also

VarArrayLock |  | get a pointer to data of a variant array
VarArrayUnlock |  | Release data captured by VarArrayLock
VarIsArray |  | Check whether a variant is an array